import config from "./config";
/* * Debugging utility functions for rc1.
 * These functions log messages to the console only if debugging is enabled in the config.
 **/
export function debugLog(...args) {
    if (config.debugEnabled) {
        debugLog("[ReplayCraft DEBUG]", ...args);
    }
}
export function debugWarn(...args) {
    if (config.debugEnabled) {
        debugWarn("[ReplayCraft DEBUG]", ...args);
    }
}
export function debugError(...args) {
    if (config.debugEnabled) {
        debugError("[ReplayCraft DEBUG]", ...args);
    }
}
